{
	"0: data": {
		"srcIndexStart": "0", 
		"file": "docssrc/docs.SampleApps.CalculatorStatic.tmpl", 
		"parseTreeMode": "true", 
		"srcLength": "1102", 
		"source": "[$name|CalculatorStatic$]
[$title|Calculator Static$]
[$frame|HTMLPage.tmpl$]
[$desc|A simple command-line arithmetic calculator utilizing a calculator grammar.
Demonstrates how to use Goldie's static-style.$]

<p>
A simple arithmetic calculator utilizing a
[$link|https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.grm|calculator grammar$].
Demonstrates how to use Goldie's [$pageLink|StatVsDyn|static-style$].
</p>

<p>
[$link|https://bitbucket.org/Abscissa/goldie/src/v0.8/src/samples/calculatorStatic/main.d|Calculator Static Source Code$]
</p>

<h3>Sample run:</h3>
<div class=\"code-plain\">&gt;[$code|user|goldie-calculatorStatic$]
Calculator
Enter an arithmetic expression ('exit' to exit)

calculator&gt;[$code|user|2+2*20$]
42.00000

calculator&gt;[$code|user|(1-3) / 2$]
-1.00000

calculator&gt;[$code|user|10$]
10.00000

calculator&gt;[$code|user|[:12 {;[ 456 qwf:]$]
(1:4): Syntax Error: [:'{;[':]
(1:12): Syntax Error: 'qwf'
2 Error(s)

calculator&gt;[$code|user|2 + * 7$]
(1:5): Unexpected *: '*'

calculator&gt;[$code|user|-10 * -20$]
200.00000

calculator>[$code|user|exit$]</div>
", 
		"0: name": {
			"srcIndexStart": "0", 
			"data": "CalculatorStatic", 
			"srcLength": "25", 
			"0: data": {
				"srcIndexStart": "7", 
				"data": "CalculatorStatic", 
				"srcLength": "16"
			}
		}, 
		"1: data": {
			"srcIndexStart": "25", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"2: title": {
			"srcIndexStart": "26", 
			"data": "Calculator Static", 
			"srcLength": "27", 
			"0: data": {
				"srcIndexStart": "34", 
				"data": "Calculator Static", 
				"srcLength": "17"
			}
		}, 
		"3: data": {
			"srcIndexStart": "53", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"4: frame": {
			"srcIndexStart": "54", 
			"data": "HTMLPage.tmpl", 
			"srcLength": "23", 
			"0: data": {
				"srcIndexStart": "62", 
				"data": "HTMLPage.tmpl", 
				"srcLength": "13"
			}
		}, 
		"5: data": {
			"srcIndexStart": "77", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"6: desc": {
			"srcIndexStart": "78", 
			"data": "A simple command-line arithmetic calculator utilizing a calculator grammar.
Demonstrates how to use Goldie's static-style.", 
			"srcLength": "131", 
			"0: data": {
				"srcIndexStart": "85", 
				"data": "A simple command-line arithmetic calculator utilizing a calculator grammar.
Demonstrates how to use Goldie's static-style.", 
				"srcLength": "122"
			}
		}, 
		"7: data": {
			"srcIndexStart": "209", 
			"data": "

<p>
A simple arithmetic calculator utilizing a
", 
			"srcLength": "49"
		}, 
		"8: link": {
			"srcIndexStart": "258", 
			"param 0": "https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.grm", 
			"data": "calculator grammar", 
			"srcLength": "88", 
			"0: data": {
				"srcIndexStart": "326", 
				"data": "calculator grammar", 
				"srcLength": "18"
			}
		}, 
		"9: data": {
			"srcIndexStart": "346", 
			"data": ".
Demonstrates how to use Goldie's ", 
			"srcLength": "35"
		}, 
		"10: pageLink": {
			"srcIndexStart": "381", 
			"param 0": "StatVsDyn", 
			"data": "static-style", 
			"srcLength": "35", 
			"0: data": {
				"srcIndexStart": "402", 
				"data": "static-style", 
				"srcLength": "12"
			}
		}, 
		"11: data": {
			"srcIndexStart": "416", 
			"data": ".
</p>

<p>
", 
			"srcLength": "12"
		}, 
		"12: link": {
			"srcIndexStart": "428", 
			"param 0": "https://bitbucket.org/Abscissa/goldie/src/v0.8/src/samples/calculatorStatic/main.d", 
			"data": "Calculator Static Source Code", 
			"srcLength": "121", 
			"0: data": {
				"srcIndexStart": "518", 
				"data": "Calculator Static Source Code", 
				"srcLength": "29"
			}
		}, 
		"13: data": {
			"srcIndexStart": "549", 
			"data": "
</p>

<h3>Sample run:</h3>
<div class=\"code-plain\">&gt;", 
			"srcLength": "56"
		}, 
		"14: code": {
			"srcIndexStart": "605", 
			"param 0": "user", 
			"data": "goldie-calculatorStatic", 
			"srcLength": "37", 
			"0: data": {
				"srcIndexStart": "617", 
				"data": "goldie-calculatorStatic", 
				"srcLength": "23"
			}
		}, 
		"15: data": {
			"srcIndexStart": "642", 
			"data": "
Calculator
Enter an arithmetic expression ('exit' to exit)

calculator&gt;", 
			"srcLength": "75"
		}, 
		"16: code": {
			"srcIndexStart": "717", 
			"param 0": "user", 
			"data": "2+2*20", 
			"srcLength": "20", 
			"0: data": {
				"srcIndexStart": "729", 
				"data": "2+2*20", 
				"srcLength": "6"
			}
		}, 
		"17: data": {
			"srcIndexStart": "737", 
			"data": "
42.00000

calculator&gt;", 
			"srcLength": "25"
		}, 
		"18: code": {
			"srcIndexStart": "762", 
			"param 0": "user", 
			"data": "(1-3) / 2", 
			"srcLength": "23", 
			"0: data": {
				"srcIndexStart": "774", 
				"data": "(1-3) / 2", 
				"srcLength": "9"
			}
		}, 
		"19: data": {
			"srcIndexStart": "785", 
			"data": "
-1.00000

calculator&gt;", 
			"srcLength": "25"
		}, 
		"20: code": {
			"srcIndexStart": "810", 
			"param 0": "user", 
			"data": "10", 
			"srcLength": "16", 
			"0: data": {
				"srcIndexStart": "822", 
				"data": "10", 
				"srcLength": "2"
			}
		}, 
		"21: data": {
			"srcIndexStart": "826", 
			"data": "
10.00000

calculator&gt;", 
			"srcLength": "25"
		}, 
		"22: code": {
			"srcIndexStart": "851", 
			"param 0": "user", 
			"data": "12 {;[ 456 qwf", 
			"srcLength": "32", 
			"0: data": {
				"srcIndexStart": "863", 
				"data": "12 {;[ 456 qwf", 
				"srcLength": "18"
			}
		}, 
		"23: data": {
			"srcIndexStart": "883", 
			"data": "
(1:4): Syntax Error: ", 
			"srcLength": "22"
		}, 
		"24: data": {
			"srcIndexStart": "905", 
			"data": "'{;['", 
			"srcLength": "9"
		}, 
		"25: data": {
			"srcIndexStart": "914", 
			"data": "
(1:12): Syntax Error: 'qwf'
2 Error(s)

calculator&gt;", 
			"srcLength": "55"
		}, 
		"26: code": {
			"srcIndexStart": "969", 
			"param 0": "user", 
			"data": "2 + * 7", 
			"srcLength": "21", 
			"0: data": {
				"srcIndexStart": "981", 
				"data": "2 + * 7", 
				"srcLength": "7"
			}
		}, 
		"27: data": {
			"srcIndexStart": "990", 
			"data": "
(1:5): Unexpected *: '*'

calculator&gt;", 
			"srcLength": "41"
		}, 
		"28: code": {
			"srcIndexStart": "1031", 
			"param 0": "user", 
			"data": "-10 * -20", 
			"srcLength": "23", 
			"0: data": {
				"srcIndexStart": "1043", 
				"data": "-10 * -20", 
				"srcLength": "9"
			}
		}, 
		"29: data": {
			"srcIndexStart": "1054", 
			"data": "
200.00000

calculator>", 
			"srcLength": "23"
		}, 
		"30: code": {
			"srcIndexStart": "1077", 
			"param 0": "user", 
			"data": "exit", 
			"srcLength": "18", 
			"0: data": {
				"srcIndexStart": "1089", 
				"data": "exit", 
				"srcLength": "4"
			}
		}, 
		"31: data": {
			"srcIndexStart": "1095", 
			"data": "</div>", 
			"srcLength": "7"
		}
	}
}